/*
 * orcawm - XCB window manager
 *
 * Written in 2020 by Lucas
 *
 * To the extent possible under law, the author(s) have dedicated all
 * copyright and related and neighboring rights to this software to the
 * public domain worldwide. This software is distributed without any
 * warranty.
 *
 * You should have received a copy of the CC0 Public Domain Dedication
 * along with this software. If not, see
 * <http://creativecommons.org/publicdomain/zero/1.0/>.
 */

#include <xcb/xcb.h>

struct wm {
	xcb_connection_t *conn;
	int screen;
};

void wm_setup(struct wm *);
void wm_print_screen_info(FILE *, const struct wm *);
void wm_teardown(struct wm *);
